DMA_BUF_GET(9)

NAME
dma_buf_get - returns the dma_buf structure related to an fd

SYNOPSIS

struct dma_buf * dma_buf_get(int fd);

ARGUMENTS

fd
    [in] fd associated with the dma_buf to be returned

DESCRIPTION

On success, returns the dma_buf structure associated with an fd; uses file's refcounting done by fget to increase refcount. returns ERR_PTR otherwise.

COPYRIGHT